Bug 894567

Summary: Please update httpd configuration to grant access
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: ckeditorAssignee: Orion Poplawski <orion>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: orion
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-23 00:51:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Remi Collet 2013-01-12 08:30:39 UTC
The current configuration provided only defines an Alias.

Please add required directives to allow access to this files

<Directory /usr/share/ckeditor>
    <IfModule mod_authz_core.c>
        # Apache 2.4
       Require all granted
    </IfModule>
    <IfModule !mod_authz_core.c>
        # Apache 2.2
        Order deny,allow
        Allow from all
    </IfModule>
</Directory>


Probably, the access to _source and _samples is not needed (but should this files stay here...)

More explanation:

Each webapp wanting to use this library will probably need to define more aliases

Ex Alias /horde/ckeditor /usr/share/ckeditor

But access can only be defined once, so should be in this package.

Another solution will be to create a symlink in the webapp tree, but I always consider symlink as ugly.

Comment 1 Fedora Update System 2013-02-06 08:20:09 UTC
ckeditor-3.6.6-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ckeditor-3.6.6-1.fc18

Comment 2 Fedora Update System 2013-02-06 08:22:48 UTC
ckeditor-3.6.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ckeditor-3.6.6-1.el6

Comment 3 Fedora Update System 2013-02-06 18:58:01 UTC
Package ckeditor-3.6.6-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ckeditor-3.6.6-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0284/ckeditor-3.6.6-1.el6
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-02-23 00:51:54 UTC
ckeditor-3.6.6-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-02-27 18:03:31 UTC
ckeditor-3.6.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.